PLM之家PLMHome

[交作业] lesson2 创建圆柱和中心线

  [复制链接]

2021-9-2 13:48:36 87 1

天然呆 发表于 2021-8-30 16:14:58 |阅读模式

天然呆 楼主

2021-8-30 16:14:58

请使用QQ关联注册PLM之家,学习更多关于内容,更多精彩原创视频供你学习!

您需要 登录 才可以下载或查看,没有帐号?注册

x
tag_t partTag = NULL_TAG;
+ G8 A0 X$ Q! [" i+ F! z; Y# Adouble origin[3] = {0,0,0};
/ R* z' p+ x! s9 r( cchar *height = "50";; c* u& W2 x" ^- A& R6 E6 J
char *diam = "10";
; j" G9 c; w/ w" r& ?4 Ldouble direction[3] = {0,0,1};! i( d2 v1 a3 f+ K1 G  J
tag_t cylTag = NULL_TAG;7 Y# @# N) d" M) f0 s2 s% c
uf_list_p_t eageList = NULL_TAG;
2 S3 A' G, b7 O& T' X7 mint count = 0;
4 \$ |! |6 s& @2 G9 W& ~char msg[256];; y% A! B( M1 E# i7 j2 J( F1 D
int i;( E$ i5 ?4 ?4 q, _
tag_t eageTag = NULL_TAG;
1 ]8 A0 p$ r  P& n: D6 Q+ x" z* K8 Ldouble centroid[2][3];
8 w" {! J, ?" t3 i1 gUF_CURVE_line_t line_coords;
3 I- m9 G2 e0 `5 Jtag_t lineTag = NULL_TAG;, _7 K" c- E5 P( ?/ i

4 p9 K: H4 H' a% N8 f9 E5 Jextern DllExport void ufusr( char *parm, int *returnCode, int rlen ), N( H0 G$ W$ N% p
{% s% i, ?" R, O, m. S6 c; `
    /* Initialize the API environment */! p. C4 w! @) h# P& N
    if( UF_CALL(UF_initialize()) ) % n0 U( T0 x4 \6 d2 O
    {' X" ?' c1 h- K- O
        /* Failed to initialize */
' e- K4 ^: g; L$ [& C7 n5 v7 `- t        return;# Q9 M$ l, H) l, L( k" h9 Z6 o9 s
    }7 i6 U3 ?6 O! {) ^, l9 W0 ]

. s5 o5 u1 {8 c* M0 C6 }/ v    /* TODO: Add your application code here */- D& ?1 u; e( j; _6 y
  a9 Q% o) F* s% g: Q3 \
        UF_PART_new("D:\\part.prt", 1, &partTag);
4 l' \* C. ~0 _* E6 @- l! f0 |, B; k7 u/ h* n% g) ]% q$ ^
        UF_MODL_create_cyl1(UF_NULLSIGN, origin, height, diam, direction, &cylTag);1 j& c* c  \, ^
        UF_MODL_ask_feat_edges(cylTag, &eageList);! w# w0 Q% o3 n' d* S
        UF_MODL_ask_list_count(eageList, &count);
: {+ K; T- o, {( f% x+ K8 K) w2 x' b; g7 D        sprintf(msg,"count number: %d",count);$ r  T! z3 j  _9 O+ ?
        uc1601(msg,1);
9 x: d/ r* J9 v% V* i- L, u9 H/ v) Q2 |- [& ?7 K  P2 `( a
        for ( i = 0; i < count; i++)
$ }+ k/ ?5 S0 O        {/ p  [1 k9 d. @$ Z, v
                UF_MODL_ask_list_item(eageList, i, &eageTag);//将对应边保存
7 I7 Y; U$ Z: T0 L. m2 T, {: c! O# J6 f
                UF_CURVE_ask_centroid(eageTag, centroid[i]);//将对应的边的中点获取# H, i- R) I: \4 n' z
        }
" e8 M! m. `4 E2 Y1 b) M: B1 s       
; \! G& p+ A# O        line_coords.start_point[0] = centroid[0][0];//第一个曲线的中心坐标- ?' G2 M; l/ \1 {1 J) ]
        line_coords.start_point[1] = centroid[0][1];
3 q( ~$ T- o- Y, x0 z4 `- O$ f" C, n& O        line_coords.start_point[2] = centroid[0][2];
  d. l* F' l2 {# p, I5 A8 y
6 \4 A0 E- o4 |; ]6 R4 F* R        line_coords.end_point[0] = centroid[1][0];) o/ J& a' Y( g2 b+ Z
        line_coords.end_point[1] = centroid[1][1];
  K3 i, C4 r5 L$ _! p        line_coords.end_point[2] = centroid[1][2];. T+ A& l% Q0 T1 W
% h2 s( {9 }$ O) N( v
        UF_CURVE_create_line(&line_coords, &lineTag);
/ l% G+ U* T: [) u  q5 f, L( K        UF_PART_save();
) g9 e; }! c; ~- ]
5 K& h& s. G7 z" s' Y+ |+ ~! c4 P
QQ截图20210830161246.png
QQ截图20210830161318.png

评分

参与人数 1PLM币 +5 收起 理由
admin + 5 很给力!

查看全部评分

上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复

使用道具 举报

全部回复1

zwz 发表于 2021-9-2 13:48:36

zwz 沙发

2021-9-2 13:48:36

非常好的帖子 收藏一下以便学习
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

发表回复

您需要登录后才可以回帖 登录 | 注册

返回列表 本版积分规则

:
新手上路
:
1802613134@qq.com
:
未填写
:
未填写
:
未填写

主题2

帖子4

积分29

图文推荐

  • 官方文档,NX12 使用 Python进行二次开发相

    官方文档,NX12 使用 Python进行二次开发相关配

  • Teamcenter12.0 汽车解决方案TcAE 入门教程

    Teamcenter12.0 汽车解决方案TcAE 入门教程 *

  • Tecnomatix 二次开发入门教程 3 第一个hell

    Tecnomatix 二次开发入门教程 3 第一个hello plm

  • Tecnomatix 二次开发入门教程 4 设置图标

    Tecnomatix 二次开发入门教程 4 设置图标效果如

  • 关闭

    站长推荐上一条 /1 下一条

  • 发布新帖

  • 在线客服

  • 微信

  • 客户端

  • 返回顶部

  • x
    视频在线免费学习 -- 成为粉丝定期更新

    PLM之家(plmhome.com)提供专业的实施开发培训

    头条号视频在线学习 | 关注成为粉丝

    B站视频在线学习 | 关注成为粉丝

    NX二次开发基础培训 | 已 80 学员 参加

    限时优惠,原价3000,现价888

    UG 二次开发CAM加工开发培训火热报名

    哥已知晓